<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>BuildCacheServiceFactory (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="BuildCacheServiceFactory (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/caching/BuildCacheService.html" title="interface in org.gradle.caching"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/caching/BuildCacheServiceFactory.html" target="_top">Frames</a></li>
<li><a href="BuildCacheServiceFactory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.caching</div>
<h2 title="Interface BuildCacheServiceFactory" class="title">Interface BuildCacheServiceFactory&lt;T extends <a href="../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - the type of build cache configuration this factory can handle.</dd></dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">BuildCacheServiceFactory&lt;T extends <a href="../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;</span></pre>
<div class="block">Factory interface to be provided by build cache service implementations.

 <p>
 To be able to use a <code>BuildCacheService</code>, the factory that implements this interface
 and the configuration type (<a href="../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration"><code>BuildCache</code></a>) must be
 registered with the <a href="../../../org/gradle/caching/configuration/BuildCacheConfiguration.html" title="interface in org.gradle.caching.configuration"><code>BuildCacheConfiguration</code></a>.
 </p>
 <p>
 In settings.gradle:
 </p>

 <pre>
     buildCache {
         // Register custom build cache implementation
         registerBuildCacheService(CustomBuildCache, CustomBuildCacheFactory)

         remote(CustomBuildCache) {
             // configure custom build cache.
         }
     }
 </pre></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching">BuildCacheServiceFactory.Describer</a></strong></code>
<div class="block">Builder-style object that allows build cache service factories to describe the cache service.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/caching/BuildCacheService.html" title="interface in org.gradle.caching">BuildCacheService</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/caching/BuildCacheServiceFactory.html#createBuildCacheService(T,%20org.gradle.caching.BuildCacheServiceFactory.Describer)">createBuildCacheService</a></strong>(<a href="../../../org/gradle/caching/BuildCacheServiceFactory.html" title="type parameter in BuildCacheServiceFactory">T</a>&nbsp;configuration,
                       <a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching">BuildCacheServiceFactory.Describer</a>&nbsp;describer)</code>
<div class="block">Creates a build cache service from the given configuration.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createBuildCacheService(org.gradle.caching.configuration.BuildCache,org.gradle.caching.BuildCacheServiceFactory.Describer)">
<!--   -->
</a><a name="createBuildCacheService(T, org.gradle.caching.BuildCacheServiceFactory.Describer)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createBuildCacheService</h4>
<pre><a href="../../../org/gradle/caching/BuildCacheService.html" title="interface in org.gradle.caching">BuildCacheService</a>&nbsp;createBuildCacheService(<a href="../../../org/gradle/caching/BuildCacheServiceFactory.html" title="type parameter in BuildCacheServiceFactory">T</a>&nbsp;configuration,
                                        <a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching">BuildCacheServiceFactory.Describer</a>&nbsp;describer)</pre>
<div class="block">Creates a build cache service from the given configuration.

 Implementations should also provide a description via the given describer.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/caching/BuildCacheService.html" title="interface in org.gradle.caching"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/caching/BuildCacheServiceFactory.html" target="_top">Frames</a></li>
<li><a href="BuildCacheServiceFactory.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
